> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List DNA Alignments

GET https://{tenant_name}.benchling.com/api/v2/dna-alignments

List DNA Alignments

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/dna-alignments/list-dna-alignments

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination
- `sort` (enum, optional, default: modifiedAt:desc) — Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.
  - Allowed values: `createdAt`, `createdAt:asc`, `createdAt:desc`, `modifiedAt`, `modifiedAt:asc`, `modifiedAt:desc`, `name`, `name:asc`, `name:desc`
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `name` (string, optional) — Name of a DNA Alignment. Restricts results to those with the specified name.
- `nameIncludes` (string, optional) — Name substring of a DNA Alignment. Restricts results to those with names that include the provided substring.
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `names.anyOf` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case insensitive. Warning - this filter can be non-performant due to case insensitivity.
- `names.anyOf.caseSensitive` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case sensitive.
- `sequenceIds` (string, optional) — Comma-separated list of sequence ids that own one or more DNA Alignments (i.e. ids of sequences used as the template in a Template Alignment or created as the consensus sequence from a Consensus Alignment). Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

## Response

### 200

OK

- `nextToken` (string, optional)
- `dnaAlignments` (list of DnaAlignmentSummary, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### DnaAlignmentSummary

- `apiURL` (string, optional) — The canonical url of the DNA Alignment in the API.
- `createdAt` (datetime, optional) — DateTime the DNA Alignment was created
- `id` (string, optional)
- `modifiedAt` (datetime, optional) — DateTime the DNA Alignment was last modified
- `name` (string, optional)
- `referenceSequenceId` (string, optional) — The ID of the template or consensus DNA Sequence associated with the DNA Alignment
- `webURL` (string, optional) — The Benchling web UI url to view the DNA Alignment

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Response**

```json
{
  "nextToken": "string",
  "dnaAlignments": [
    {
      "apiURL": "https://benchling.com/api/v2/dna-alignments/seqanl_6ZVdX98t",
      "createdAt": "2024-01-15T09:30:00Z",
      "id": "seqanl_6ZVdX98t",
      "modifiedAt": "2024-01-15T09:30:00Z",
      "name": "string",
      "referenceSequenceId": "seq_MYmsnS1u",
      "webURL": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/dna-alignments"

querystring = {"modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/dna-alignments?modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```